org.h2.samples

## Class ReadOnlyDatabaseInZip

- java.lang.Object
- - org.h2.samples.ReadOnlyDatabaseInZip

    public class ReadOnlyDatabaseInZip
    extends java.lang.Object

This sample application shows how to create and use a read-only database in a zip file. The database file is split into multiple smaller files, to speed up random-access. Splitting up the file is only needed if the database file is larger than a few megabytes.

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlyDatabaseInZip()`

### Method Summary

Methods
`static void` `main(java.lang.String... args)` This method is called when executing this sample application from the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadOnlyDatabaseInZip

    public ReadOnlyDatabaseInZip()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

This method is called when executing this sample application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `java.lang.Exception`